LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 05-20-2004, 11:44 PM   #1
setska
LQ Newbie
 
Registered: May 2004
Location: MN
Posts: 11

Rep: Reputation: 0
Have troubles installing things


Trying to install Plesk software, that is what I'm geting

Installing packages
php-mysql-4.3.2-8.ent.i386.rpm
mysql-3.23.58-1.i386.rpm
mysql-server-3.23.58-1.i386.rpm
perl-DBD-MySQL-2.1021-3.i386.rpm
error: Failed dependencies:
php = 4.3.2-8.ent is needed by php-mysql-4.3.2-8.ent

Not all required RPMs were installed.
Press <ENTER> to continue...

what do I have to do to get rid of this error

Thanks for any help

Last edited by setska; 05-20-2004 at 11:46 PM.
 
Old 05-21-2004, 01:19 AM   #2
AMMullan
Member
 
Registered: Sep 2003
Location: United Kingdom
Distribution: Ubuntu, Arch
Posts: 438

Rep: Reputation: 30
From what I see you need to have that specific version of PHP installed... (version 4.3.2-8.ent)
 
Old 05-21-2004, 01:22 AM   #3
xanas3712
Member
 
Registered: Apr 2004
Distribution: Slackware/Mandrake/Debian (sarge)
Posts: 266

Rep: Reputation: 30
Just compile it all from source.. strangely enough sometimes that's easier than dealing with rpms

Isn't this stuff already in your distro with the correct dependencies included? I haven't seen a distro that doesn't have php/apache/mysql/perl included yet..
 
Old 05-21-2004, 01:26 AM   #4
AMMullan
Member
 
Registered: Sep 2003
Location: United Kingdom
Distribution: Ubuntu, Arch
Posts: 438

Rep: Reputation: 30
Yeah I tried installing Gimp2 by RPM - no way, had to download about 18 packages to satisfy rpm dependencies. Installed from source and didn't need any other packages, just disabled printing.

What distro are yu using? as xanas said, most distros these days have PHP/MySQL and Apache2 as options in the OS install. Exactly what is "Plesk"? Never heard of it before...
 
Old 05-21-2004, 01:40 AM   #5
xanas3712
Member
 
Registered: Apr 2004
Distribution: Slackware/Mandrake/Debian (sarge)
Posts: 266

Rep: Reputation: 30
Hey AMMullan, I didn't mention it but did you use checkinstall to make a package of gimp before installing it? It makes it easier to uninstall as you don't have to keep the source around to make uninstall if you should want to later on.

Highly recommended utility that checkinstall. One of the first things I download and it will generate deb, rpm, and tgz (slackware) packages automatically. You just use it in place of make install, and then install the rpm the typical way.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Suse: confused on many things, why is installing things so hard? blackflare Linux - Newbie 11 10-16-2007 05:35 AM
Eterm delete trobles e1000 Slackware 2 10-03-2005 11:17 AM
fstab trobles e1000 Linux - General 6 02-13-2004 05:46 PM
man page trobles e1000 Slackware 2 11-02-2003 09:11 PM
library trobles e1000 Slackware 1 10-21-2003 05:28 PM


All times are GMT -5. The time now is 06:55 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration